Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 975096 - engine: no alert for user that specific disks cannot be moved when we move multiple disks at once
Summary: engine: no alert for user that specific disks cannot be moved when we move mu...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.2.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.4.0
Assignee: Daniel Erez
QA Contact: Elad
URL:
Whiteboard: storage
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-06-17 15:50 UTC by Dafna Ron
Modified: 2016-02-10 18:47 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)
logs (deleted)
2013-06-17 15:50 UTC, Dafna Ron
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 19882 None None None Never

Description Dafna Ron 2013-06-17 15:50:09 UTC
Created attachment 762074 [details]
logs

Description of problem:

in a vm that has 2 disks, one on a domain in maintenance, if we select both disks and move them to a 3ed domain, once we press OK there is no alert that specific disk cannot be moved (we only move what we can without giving an alert on the disk located on domain in maintenance).

Version-Release number of selected component (if applicable):

sf18

How reproducible:

100%

Steps to Reproduce:
1. create 3 iscsi storage domains 
2. create a vm with 2 disks located on 2 of the domains
3. put one of the domains with a disk on it in maintenance
4. select both vms disks -> move -> press OK. 

Actual results:

there is no alert that the disk on the offline domain was not moved

Expected results:

we should create an alert that disk <nameX> was not moved. 

Additional info: logs

Comment 1 Daniel Erez 2013-10-06 07:23:55 UTC
Displaying an alert is not applicable as the request is blocked in client level (i.e. the UI won't sent to the backend requests to move/copy disks that cannot be moved/copied). As an alternative, modified the warning message for a better indication that a disk cannot be moved/copied (by specifying the problematic disk(s) alias).

Comment 2 Sandro Bonazzola 2014-01-14 08:44:45 UTC
ovirt 3.4.0 alpha has been released

Comment 3 Elad 2014-01-16 14:52:04 UTC
When trying to move multiple disks which one of them located on an inactive domain, we get a warning on UI that the disk's src domain is N/A.


Verified on ovirt-3.4.0-alpha1
ovirt-engine-3.4.0-0.2.master.20140106180914.el6.noarch

Comment 4 Elad 2014-01-16 14:54:17 UTC
Are the details in comment #3 satisfying?

Comment 5 Daniel Erez 2014-01-16 15:26:29 UTC
Yes, in addition, there should be an alert with exclamation mark specifying the problematic disks.

Comment 6 Elad 2014-01-16 15:34:08 UTC
(In reply to Daniel Erez from comment #5)
> Yes, in addition, there should be an alert with exclamation mark specifying
> the problematic disks.

There is one.

Comment 8 Itamar Heim 2014-06-12 14:07:29 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.